Arch Découpe de panneaux

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Panel Cut and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Arch Panel.svg Panneaux
Page suivante: Panel Sheet Arch Panel Sheet.svg Arrow-right.svg

Arch Panel Cut.svg Arch Panel Cut

Menu location
Arch → Panel Tools → Panel Cut
Workbenches
Arch
Default shortcut
P C
Introduced in version
-
See also
Panneaux, Panel Sheet, Économiseur, Atelier Path (Usinages)


Description

Cet outil crée, dans le document 3D, une vue 2D plane d'un objet Panneaux, à inclure dans une Arch Panel Sheet ou directement exportée vers DXF. Les objets Découpe de panneaux sont également pris en charge par l'atelier Path (Usinages).

Arch Wikihouse 02.jpg

Comment l'utiliser

  1. Sélectionner un ou plusieurs objets Arch Panneaux
  2. Presser la touche Arch Panel Cut.svg Arch Panel Cut, ou presser les touches P et C
  3. Ajuster les propriétés désirées

Options

  • Si le panneau n'est pas plat (par exemple un panneau ondulé), le relief n'apparaîtra pas dans la coupe du panneau. Cet outil est utile principalement pour les panneaux plats
  • La découpe du panneau peut afficher une étiquette. Cette balise peut être une ligne de texte personnalisée ou peut afficher automatiquement la balise, l'étiquette ou la description de son panneau est liée.
  • Pour être utile à l'usinage CNC, l'étiquette doit être écrite en utilisant une police collante, où les lettres sont de simples polylignes que la machine peut facilement suivre. Lors de sa création, l'objet Panel Cut utilisera automatiquement la police spécifiée dans Édition → Préférences → Brouillon → Textes et dimensions → Police ShapeString
  • Après sa création double-cliquer dans l'arborescence sur le panneau coupé vous fait passer en mode édition et vous permet de modifier la position du tag
  • Lorsque vous devez mettre en forme différentes découpes de panneaux, les découpes de panneaux peuvent afficher une marge, ce qui est utile pour s'assurer qu'un certain espace est toujours présent entre une découpe et une autre

Propriétés

Propriétés

  • DONNÉESSource: L'objet Panneaux affiche ses coupes.
  • DONNÉESTag Text: Le texte affiché. Vous pouvez l'afficher par %tag%, %label% or %description% panneau label ou description.
  • DONNÉESTag Size: La taille du texte du label.
  • DONNÉESTag Position: La position du texte du lbel. Conserve automatiquement les points (0,0,0) pour la position centrale.
  • DONNÉESTag Rotation: La rotation du texte.
  • DONNÉESFont File: La police de caractère du label.
  • DONNÉESMake Face: Si Face est réglé sur True, la panneau est une face si non le panneau est un fil.

Vue

  • VUEMargin: La marge à afficher hors du panneau coupé.
  • VUEShow Margin: Tourne l'affichage des marges oui/non.

Script

Voir aussi: Arch API et Sripts de base FreeCAD.

L'outil panneau peut être utilisé dans une macro et dans la console Python en utilisant le code suivant:

View = makePanelCut(panel, name="PanelView")
  • Crée un objet View (projection 2D) à partir du panel existant.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutoriels

Arrow-left.svg Page précédente: Arch Panel.svg Panneaux
Page suivante: Panel Sheet Arch Panel Sheet.svg Arrow-right.svg